#include <gtk/gtk.h>

GtkWidget *label;

void
on_button_clicked (GtkButton *button,
		   gpointer data)
{
	GtkEntry *entry = GTK_ENTRY (data);
	const gchar *text;

	text = gtk_entry_get_text (entry);

	gtk_label_set_text (GTK_LABEL (label), text);
}

int
main (int argc, char **argv)
{
	GtkWidget *window;
	GtkWidget *vbox;
	GtkWidget *hbox;
	GtkWidget *button;
	GtkWidget *entry;
	
	gtk_init (&argc, &argv);

	window = gtk_window_new (GTK_WINDOW_TOPLEVEL);

	gtk_window_set_title (GTK_WINDOW (window), "Ejemplo básico");

	hbox = gtk_hbox_new (FALSE, 10);
	entry = gtk_entry_new ();
	gtk_box_pack_start (GTK_BOX (hbox), entry, TRUE, TRUE, 10);
	button = gtk_button_new_from_stock (GTK_STOCK_ADD);
	g_signal_connect (button, "clicked",
			  G_CALLBACK (on_button_clicked), entry);
	
	gtk_box_pack_start (GTK_BOX (hbox), button, FALSE, FALSE, 10);
	
	vbox = gtk_vbox_new (FALSE, 10);
	gtk_box_pack_start (GTK_BOX (vbox), hbox, FALSE, FALSE, 10);

	label = gtk_label_new ("GUADEC-es");
	gtk_box_pack_start (GTK_BOX (vbox), label, FALSE, FALSE, 10);

	gtk_container_add (GTK_CONTAINER (window), vbox);
	
	gtk_widget_show_all (window);

	gtk_main ();
	
	return 0;
}
